Issue Zendesk visitor identity capability
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"blockId": "<string>",
"identity": {
"externalId": "<string>",
"name": "<string>",
"email": "[email protected]",
"emailVerified": true
}
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities"
payload = {
"sessionId": "<string>",
"blockId": "<string>",
"identity": {
"externalId": "<string>",
"name": "<string>",
"email": "[email protected]",
"emailVerified": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
blockId: '<string>',
identity: {
externalId: '<string>',
name: '<string>',
email: '[email protected]',
emailVerified: true
}
})
};
fetch('http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"capability": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Additional Endpoints
Issue Zendesk visitor identity capability
Attest a visitor identity for one Zendesk block execution in an existing session. Requires a scoped workspace API token.
POST
/
v3
/
integrations
/
zendesk
/
bots
/
{botId}
/
visitor-identity-capabilities
Issue Zendesk visitor identity capability
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sessionId": "<string>",
"blockId": "<string>",
"identity": {
"externalId": "<string>",
"name": "<string>",
"email": "[email protected]",
"emailVerified": true
}
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities"
payload = {
"sessionId": "<string>",
"blockId": "<string>",
"identity": {
"externalId": "<string>",
"name": "<string>",
"email": "[email protected]",
"emailVerified": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sessionId: '<string>',
blockId: '<string>',
identity: {
externalId: '<string>',
name: '<string>',
email: '[email protected]',
emailVerified: true
}
})
};
fetch('http://127.0.0.1:3333/v3/integrations/zendesk/bots/{botId}/visitor-identity-capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"capability": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 128Body
application/json